# 日志查看器
## 概 述
日志查看器展示程序运行时产生的日志，如操作系统和应用程序在启动、运行等过程中的相关信息。您可以通过该工具从海量日志数据中精确查找关键信息，迅速找出错误原因并解决问题。

![图 1 日志查看器-big](image/1.png)
<br>

## 使用介绍
日志查看器提供了日志搜索、日志过滤、内容复制、文件导出、实时刷新等功能。选中某一类型的日志，可以根据需要进行操作。
<br/>

## 功能模块

### 主菜单
在主菜单中，您可以进行日志导出（导出）、查看用户手册（帮助）、查看版本信息（关于）以及退出应用的操作。
#### 导出
点击 ![](image/menu.png)> “导出”，或右键日志展示区域，选择“导出”。
您可以导出当前日志类型下，符合筛选条件的全部日志，支持txt、csv、html等多种日志格式，同时您可以自定义导出文件名称和存储路径。
![图 2 导出-big](image/2.png)
#### 帮助
点击![](image/menu.png) > “帮助”，可以查看日志查看器的用户手册，了解其基本功能。
![图 3 帮助-big](image/3.png)
#### 关于
点击 ![](image/menu.png)> “关于” ,可以查看日志查看器的版本、开发平台等信息。
![图 4 关于-big](image/4.png)

### 日志查看
#### 搜索
1）点击![](image/search.png)，输入关键字。

2）系统将输入的关键字与当前日志表格中第二列主语模糊匹配。

3）删除所有关键字，则清空搜索内容。
![图 5 搜索操作-big](image/5.png)
#### 筛选
日志筛选的方式包括按时间与日志级别

1）按时间筛选：

您可以搜索三个月内的任意时间范围，或者使用快捷搜索：今天、近三天、近一周、近一个月、近三个月。默认选项为“近三个月”。

2）按级别筛选：

您可以搜索日志等级：信息、警告、错误、全部。默认选项为“全部”。
#### 复制
您可以选中表格区域/详情区域中的内容，将其复制为表格/文本。
![图 6 复制日志内容-big](image/6.png)
#### 导出
1）将当前日志导出为文件，支持的文件格式有txt、csv、html等。

2）在日志查看器筛选结果非空时，点击“导出”。

3）弹出保存文件界面，输入合法的文件名，选择“文件类型”。

4）点击“保存”，完成操作。
![图 7 导出文件-big](image/7.png)
#### 刷新
右键日志展示区域，选择“刷新”，日志查看器筛选结果将更新为最新数据。
<br/>

### 日志内容
#### 系统日志
1）在日志查看器界面，点击“系统日志”。

2）界面显示系统日志列表，显示字段为级别、进程、时间和信息。

3）选中某条系统日志，该日志详细信息将显示在下方空白区域内。
![图 8 系统日志-big](image/8.png)
#### 启动日志
1）在日志查看器界面，点击“启动日志”。

2）界面显示启动日志列表，显示字段为级别、类型、时间和信息。

3）选中某条启动日志，该次启动的详细信息将显示在下方空白区域内。
![图 9 启动日志-big](image/9.png)
#### 登录日志
1）在日志查看器界面，点击“登录日志”。

2）界面显示登录日志列表，显示字段为级别、用户、时间和信息。

3）选中某条登录日志，该次登录的详细信息将显示在下方空白区域内。
![图 10 登录日志-big](image/10.png)
#### 应用日志
1）在日志查看器界面，点击“应用日志”。

2）界面显示应用日志列表，显示字段为级别、应用、时间和信息。

3）选中某条应用日志，该应用日志的详细信息将显示在下方空白区域内。
![图 11 应用日志-big](image/11.png)
#### 安全-麒麟安全日志
1）在日志查看器界面，点击“安全日志”-“麒麟安全”。

2）界面显示麒麟安全日志列表，显示字段为级别、进程、时间和信息。

3）选中某条麒麟安全日志，该日志的详细信息将显示在下方空白区域内。
![图 12 安全-麒麟安全日志-big](image/12.png)
#### 安全-崩溃日志
1）在日志查看器界面，点击“安全日志”-“崩溃日志”。

2）界面显示崩溃日志列表，显示字段为级别、类型、时间和信息。

3）选中某条崩溃日志，该崩溃日志的详细信息将显示在下方空白区域内。
![图 13 安全-崩溃日志-big](image/13.png)
#### 安全-审计日志
1）在日志查看器界面，点击“安全日志”-“审计日志”。

2）界面显示审计日志列表，显示字段为级别、类型、时间和信息。

3）选中某条审计日志，该日志的详细信息将显示在下方空白区域内。
![图 14 安全-审计日志-big](image/14.png)

### 救援模式
日志查看器还提供了救援模式，以防无法正常开机时也可以获取到各个日志。打开【终端】，切换目录至“/usr/sbin”，查看救援模式的帮助文档。

指令：./logview -h(--help)

帮助文档： 
-h,  --help
        查看帮助文档，可以查看选项及选项参数如何实现

-y,  --system-log
        查看系统日志的所有日志信息

-t,  --startup-log
        查看启动日志的所有日志信息

-l,  --login-log
        查看登录日志的所有日志信息

-a,  --app-log
        查看应用日志的所有日志信息

-c,  --kysec-log
        查看麒麟安全日志的所有日志信息

-r,  --crash-log
        查看异常日志的所有日志信息

-u,  --audit-log
        查看审计日志的所有日志信息

-k,  --key-word
        按关键字筛选日志第三列（主语）信息，和日志选项搭配使用
        建议使用""搜索关键字,例：./logview -l -k "log" 

-s,  --start-time
        筛选出一种日志中从此参数开始到当前时间结束的所有信息
        例：./logview -l -s 2021-06-18\ 12:00:00,此处必须加入\

-e,  --end-time
        筛选出一种日志中截止到此参数之前的所有信息
        例：./logview -l -e 2021-06-18\ 12:00:00,此处必须加入\

-0,  --error
        筛选出错误等级的日志信息

-1,  --warn
        筛选出警告等级的日志信息

-2,  --info
        筛选出信息等级的日志信息

-p,  --export
        导出指定的日志文件
        日志文件默认导出到/tmp/路径下
        例：./logview -l -p
        可以指定路径，指定的路径需要紧跟在参数后面
        例：./logview -l -p/home/kylin/
<br>

### 跟随系统语言
日志查看器默认跟随系统语言设置。
![图 15 英文模式-big](image/15.png)
![图 16 深色模式-big](image/16.png)
